* {
	margin:0px;
	padding:0px;
}
html, body
{
	height:100%;
	width:100%;
	color:#000000;
	font-weight:normal;
	font-family:"Segoe UI" , "Segoe" , "SegoeUI-Regular-final", Tahoma, Helvetica, Arial, sans-serif;
	min-width:500px;
	-ms-overflow-style:-ms-autohiding-scrollbar;
}

body
{
	font-size:0.9em;
}

#noScript { margin:16px; color:Black; }

:lang(en-GB){quotes:'\2018' '\2019' '\201C' '\201D';}
:lang(zh){font-family:å¾®è½¯é›…é»‘;}

@-ms-viewport { width: device-width; }
@-moz-viewport { width: device-width; }
@-o-viewport { width: device-width; }
@-webkit-viewport { width: device-width;  }
@viewport { width: device-width; }

/* Theme layout styles */

#fullPage, #brandingWrapper
{
	width:100%;
	height:100%;
	background-color:inherit;
}
#branding
{
	/* A background image will be added to the #branding element at run-time once the illustration image is configured in the theme.
	   Recommended image dimensions: 1420x1200 pixels, JPG or PNG, 200 kB average, 500 kB maximum. */
	height:100%;
	margin-right:500px;
    margin-left:0px;
	background-color:inherit;
	background-repeat: no-repeat;
	background-size:cover;
	-webkit-background-size:cover;
	-moz-background-size:cover;
	-o-background-size:cover;
}
#contentWrapper
{
	position:relative;
	width:500px;
	height:100%;
	overflow:auto;
	margin-left:-500px;
    margin-right:0px;
}
#content
{
	min-height:100%;
	height: auto !important;
	margin:0 auto -55px auto;
	padding:0px 150px 0px 50px;
}
#header
{
	font-size:2em;
	font-weight:lighter;
	font-family:"Segoe UI Light" , "Segoe" , "SegoeUI-Light-final", Tahoma, Helvetica, Arial, sans-serif;
	padding-top: 90px;
	margin-bottom:60px;
	min-height:100px;
	overflow:hidden;
}
#header img
{
	/* Logo image recommended dimension: 60x60 (square) or 350X35 (elongated), 4 kB average, 10 kB maximum. Transparent PNG strongly recommended. */
	width:auto;
	height:auto;
	max-width:100%;
}
#workArea, #header
{
	word-wrap:break-word;
	width:350px;
}
#workArea
{
	margin-bottom:90px;
}
#footerPlaceholder
{
	height:40px;
}
#footer
{
	height:40px;
	padding:10px 50px 0px 50px;
	position:relative;
	color:#666666;
	font-size:0.78em;
}
#footerLinks
{
	float:none;
	padding-top:10px;
}
#copyright {color:#696969; display:none;}
.pageLink { color:#000000; padding-left:16px; }

/* Common content styles */

.clear {clear:both;}
.float { float:left; }
.floatReverse { float:right; }
.indent { margin-left:16px; }
.indentNonCollapsible { padding-left:16px; }
.hidden {display:none;}
.notHidden {display:inherit;}
.error { color:#e81123; }
.actionLink { margin-bottom:8px; display:block; }
a
{
	color:#0067b8;
	text-decoration:none;
	background-color:transparent;
}
ul { list-style-type: disc; }
ul,ol,dd { padding: 0 0 0 16px; }
h1,h2,h3,h4,h5,label { margin-bottom: 8px; }
.submitMargin { margin-top:38px; margin-bottom:30px; }
.topFieldMargin { margin-top:8px; }
.fieldMargin { margin-bottom:8px; }
.groupMargin { margin-bottom:30px; }
.sectionMargin { margin-bottom:64px; }
.block { display: block; }
.autoWidth { width:auto; }
.fullWidth { width:342px; }
.fullWidthIndent { width:326px; }
.smallTopSpacing { margin-top:15px; }
.mediumTopSpacing { margin-top:25px; }
.largeTopSpacing { margin-top:35px; }
.smallBottomSpacing { margin-bottom:5px; }
.mediumBottomSpacing { margin-bottom:15px; }
.largeBottomSpacing  { margin-bottom:25px; }
input
{
	max-width:100%;
	font-family:inherit;
	margin-bottom:8px;
}
input[type="radio"], input[type="checkbox"] {
	vertical-align:middle;
	margin-bottom: 0px;
}
button.submit, input[type="submit"]
{
	border:none;
	background-color:#1E3553;

	border-style:solid;
	border-width:1px;
	transition:background 0s;
	color:rgb(255, 255, 255);
	cursor:pointer;
	margin-bottom:8px;

	-ms-user-select:none;
	-moz-transition:background 0s;
	-webkit-transition:background 0s;
	-o-transition:background 0s;
	-webkit-touch-callout:none;
	-webkit-user-select:none;
	-khtml-user-select:none;
	-moz-user-select: none;
	-o-user-select: none;
	user-select:none;

	text-align: center;
	padding-top: 11px;
	padding-bottom: 11px;
	text-transform: uppercase;
	border-radius: 5px;
	font-weight: 600;
	width: 100%;
}
button[type="submit"]:hover,button.submit:hover
{
	background: rgb(212, 227, 251);
}

input[type="submit"]:disabled,button.submit:disabled
{
	background: rgb(212, 227, 251);
	cursor: default;
}

input[type="submit"]:hover:disabled,button.submit:hover:disabled
{
	background: rgb(212, 227, 251);
	cursor: not-allowed;
}

input.text{
	height:28px;
	padding:0px 3px 0px 3px ;
	border:solid 1px #BABABA;
	font-size:1.0em;
}
input.text:focus
{
	border: 1px solid #6B6B6B;
}
select
{
	height:28px;
	min-width:60px;
	max-width:100%;
	margin-bottom:8px;

	white-space:nowrap;
	overflow:hidden;
	box-shadow:none;
	padding:2px;
	font-family:inherit;
}
h1, .giantText
{
	font-size:2.0em;
	font-weight:lighter;
}
h2, .bigText
{
	font-size:1.33em;
	font-weight:lighter;
}
h3, .normalText
{
	font-size:1.0em;
	font-weight:normal;
}
h4, .smallText
{
	font-size:0.9em;
	font-weight:normal;
}
h5, .tinyText
{
	font-size:0.8em;
	font-weight:normal;
}
.hint
{
	color:#999999;
}
.emphasis
{
	font-weight:700;
	color:#2F2F2F;
}
.smallIcon
{
	height:20px;
	padding-right:12px;
	vertical-align:middle;
}
.largeIcon
{
	height:48px;
	/* width:48px; */
	vertical-align:middle;
}
.largeTextNoWrap
{
	height:48px;
	display:table-cell; /* needed when in float*/
	vertical-align:middle;
	white-space:nowrap;
	font-size:1.2em;
}
.idp
{
	height:48px;
	clear:both;
	padding:8px;
	overflow:hidden;
}
.idp:hover
{
	background-color:#cccccc;
}
.idpDescription
{
	width:80%;
}

/* Form factor: intermediate height layout. Reduce space of the header. */
@media only screen and (max-height: 820px) {
	#header {
		padding-top: 40px;
		min-height:0px;
		overflow: hidden;
	}

	#workArea
	{
		margin-bottom:60px;
	}
}

.loginMessageTitle {
	font-size: 25px;
	text-transform: uppercase;
}
.loginMessage {
	font-size: 15px;
}

.loginMessageTitle, .loginMessage {
	color: #848A92;
}

/* Form factor: intermediate height layout. Reduce space of the header. */
@media only screen and (max-height: 500px) {
	#header {
		padding-top: 30px;
		margin-bottom: 30px;
	}
	#workArea{
		margin-bottom:40px;
	}
}

/* Form factor: intermediate layout (WAB in non-snapped view falls in here) */
@media only screen and (max-width: 600px) {
	html, body {
		min-width: 260px;
	}

	#brandingWrapper {
		display: none;
	}

	#contentWrapper {
		float: none;
		width: 100%;
		margin: 0px auto;
	}

	#content, #footer, #header {
		width: 400px;
		padding-left: 0px;
		padding-right: 0px;
		margin-left: auto;
		margin-right: auto;
	}

	#workArea {
		width: 100%;
	}

	.fullWidth {
		width: 392px;
	}

	.fullWidthIndent {
		width: 376px;
	}
}

@media only screen and (max-width: 450px) {
	body {
		font-size: 0.8em;
	}

	#content, #footer {
		width:auto;
		margin-right:33px;
		margin-left:25px;
	}

	#header {
		width: auto;
	}

	span.submit, input[type="submit"] {
		font-size: 0.9em;
	}

	.fullWidth
	{
		width:100%;
		margin-left:auto;
		margin-right:auto;
	}

	.fullWidthIndent {
		width: 85%;
	}

	.idpDescription
	{
		width:70%;
	}
}

/* Form factor: snapped WAB (for WAB to work in snapped view, the content wrapper width has to be set to 260px) */
@media only screen and (max-width:280px)
{
	#contentWrapper
	{
		width:260px;
	}
	.idpDescription
	{
		max-width:160px;
		min-width:100px;
	}
}





.illustrationClass {
	background-image: url(../images/illustration.jpg);
}

.strength_input, .confirm_password, .email {
	height: 28px;
	padding: 0px 3px 0px 3px;
	border: solid 1px #BABABA;
	font-size: 1.0em;
	width: 100%;
}

.strength_meter div {
	height: 28px;
}

.pswd_info {
	width: 300px;
}

.strength_meter div p {
	top: 5px;
}

.strength_wrapper {
	width: 100%;
}

.strength_meter {
	width: calc(100% + 7px);
}
#loginForm, #loginMessage, [lang="de"], [lang="it"], [lang="en"] {
	display: none;
}

#icons {
	margin-top: 20vh;
}

.links {
	height: 25px;
	width: 358px;
	margin-top: 50px;
}

.linkImage {
	vertical-align: middle;
	max-height: 25px;
	max-width: 358px;
}

@media (max-width: 768px) {
	html, body {
		height: auto;
	}

	#fullPage,
	#contentWrapper {
		height: auto;
		overflow: visible;
	}

	#brandingWrapper {
		display: none;
	}

	#contentWrapper {
		width: 100%;
		margin: 0;
		float: none;
	}

	#content {
		padding: 20px;
		width: auto;
	}

	#workArea,
	#header {
		width: 100%;
	}

	#footer {
		position: fixed;
		bottom: 0;
		left: 0;
		right: 0;
	}

	body {
		font-size: 16px;
	}

	input,
	input[type="password"],
	input[type="text"],
	.strength_input,
	.confirm_password {
		font-size: 16px;
	}
}